> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get content filter

> Returns a single content filter by ID.



## OpenAPI

````yaml get /html_filters/{id}
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /html_filters/{id}:
    parameters:
      - name: id
        in: path
        description: The numeric ID of your filter
        required: true
        schema:
          type: string
    get:
      tags:
        - Content filters
      summary: Get content filter
      description: Returns a single content filter by ID.
      operationId: html_filters#show
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/htmlFilterExample'
              schema:
                $ref: '#/components/schemas/htmlFilterModel'
      security:
        - apiKey: []
components:
  examples:
    htmlFilterExample:
      summary: A sample content filter
      value:
        id: 1
        element_type: div
        element_id: test
        include: true
  schemas:
    htmlFilterModel:
      type: object
      properties:
        id:
          type: integer
        element_type:
          type: string
          nullable: true
          description: The name of the tag representing the element
        element_class:
          type: string
          nullable: true
          description: >-
            The class attribute of an element. This filter will be applied to
            any element that contains the class
        element_data:
          type: string
          nullable: true
          description: The data attribute of an element
        element_xpath:
          type: string
          nullable: true
          description: >-
            The XPath specifying the elements.
            https://www.w3.org/TR/1999/REC-xpath-19991116/
        element_id:
          type: string
          nullable: true
          description: The class attribute of an element
        value:
          type: string
          nullable: true
          deprecated: true
          description: >-
            The string value contained within an element. This filter will be
            applied to any element that contains the value
        element_text:
          type: string
          nullable: true
          description: >-
            The string value contained within an element. This filter will be
            applied to any element that contains the value
        include:
          type: boolean
          description: >-
            Whether BeyondWords should use the filter to include or exclude the
            selected part of the HTML document. The default is false
        created:
          type: string
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          description: Time at which the object was updated (ISO 8601)
        project:
          type: object
          nullable: true
          description: The project id to apply this filter to
          properties:
            id:
              type: integer
            name:
              type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````